package com.m2pool.oapi.service;


import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.oapi.vo.CoinVo;
import com.m2pool.oapi.vo.DateVo;

/**
 * @Description 开放api  矿池  相关服务类
 * @Date 2024/6/14 11:40
 * @Author dy
 */
public interface PoolService {

    public AjaxResult getHashRate(CoinVo vo);

    public AjaxResult getHashRateHistory(DateVo vo);

    public AjaxResult getMinersList(CoinVo vo);

    public AjaxResult getWatch(CoinVo vo);
}
